#include "tlform.h"

#include <qwidget.h>
#include <qgroupbox.h>
#include <qlist.h>

#include "typelayout.h"


TLForm::TLForm(const char *ID,const char *title,QWidget *_widget, QWidget *_parent)
    :TLObj(ID)
{
    if (!_widget)
    {
        widget=new("QWidget") QWidget(_parent,ID);
    }
    else
        widget=_widget;
    
    widget->setCaption(title);
    align=Qt::AlignCenter;
    layout=new("KTypeLayout") KTypeLayout (this);
}

TLForm::~TLForm()
{
}

TLBook::TLBook(const char *,QWidget *_widget)
{
    widget=_widget;
    align=Qt::AlignCenter;
    layout=new("KBookLayout") KBookLayout (this);
}
